# Contributing to MangaDesk
🥳 Thank you for taking the time to contribute to this project!

This document lays out some general guidelines for contributing. Please take some time to read through it.

## Issues
Bug reports/fixes will always take priority over feature requests.

When opening a new issue, please include the following:

- Start your title with either a `[BUG]` or `[Feature Request]` tag, so I know how to categorise your issue.
- For bug reports, include:
    - `Expected Behaviour`
    - `Actual Behaviour`
    - If possible, `Steps to Reproduce` the problem.
- If you feel any additional information would be helpful, such as screenshots, code snippets etc..., you may include it
  as well.

## Pull Requests
Try to open an issue first before submitting a Pull Request, especially if your pull request involves contributing substantial
amounts of code. This way, there is opportunity for discussion before you dedicate time and resources.

- Make sure that your code follows the current structure of the project!
- Your code should be commented if possible. This way, future contributors know what is going on.

### Thank you for contributing!
